<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.shujuju.CzrkMapper">

    <resultMap type="Czrk" id="CzrkResult">
        <result property="id" column="id"/>
        <result property="czrkJzdzId" column="czrk_jzdz_id"/>
        <result property="userName" column="user_name"/>
        <result property="gender" column="gender"/>
        <result property="age" column="age"/>
        <result property="birthday" column="birthday"/>
        <result property="deptId" column="dept_id"/>
        <result property="idCard" column="id_card"/>
        <result property="phoneNum" column="phone_num"/>
        <result property="code" column="code"/>
        <result property="houseType" column="house_type"/>
        <result property="rlr" column="rlr"/>
        <result property="rlrNike" column="rlr_nike"/>
        <result property="rlTime" column="rl_time"/>
        <result property="keyIndustries" column="key_industries"/>
        <result property="yhzgx" column="yhzgx"/>
        <result property="workUnit" column="work_unit"/>
        <result property="provinceId" column="province_id"/>
        <result property="province" column="province"/>
        <result property="cityId" column="city_id"/>
        <result property="city" column="city"/>
        <result property="regionId" column="region_id"/>
        <result property="isRl" column="is_rl"/>
        <result property="region" column="region"/>
        <result property="villageTownsId" column="village_towns_id"/>
        <result property="villageTowns" column="village_towns"/>
        <result property="villageId" column="village_id"/>
        <result property="village" column="village"/>
        <result property="villagerGroupId" column="villager_group_id"/>
        <result property="villagerGroup" column="villager_group"/>
        <result property="nowIn" column="now_in"/>
        <result property="remark" column="remark"/>
        <result property="gridId" column="grid_id"/>
        <result property="status" column="status"/>
        <result property="changUser" column="chang_user"/>
        <result property="changNikeUser" column="chang_nike_user"/>
        <result property="changUserTime" column="chang_user_time"/>
        <result property="isConfirm" column="is_confirm"/>
        <result property="confirmInfoUser" column="confirm_info_user"/>
        <result property="confirmInfoNikeUser" column="confirm_info_nike_user"/>
        <result property="confirmInfoUserTime" column="confirm_info_user_time"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="isDel" column="is_del"/>
        <result property="deleteReason" column="delete_reason"/>
        <result property="isNucleicAcid" column="is_nucleicAcid"/>
        <result property="nucleicAcidTime" column="nucleicAcid_time"/>

        <result property="toAppropriatePhone" column="to_appropriate_phone"/>
        <result property="toAppropriateTime" column="to_appropriate_time"/>

    </resultMap>




    <sql id="selectCzrkVo">
        select id, user_name, gender, age, birthday,dept_id, id_card, phone_num, code, house_type, rlr,rlr_nike, rl_time, yhzgx
             , work_unit, province_id, province, city_id, city, region_id, region, village_towns_id, village_towns
             , village_id, village, villager_group_id, villager_group, now_in, remark,grid_id, status,is_confirm,confirm_info_user,confirm_info_nike_user,confirm_info_user_time, create_by, create_time
             , update_by, update_time, is_del, delete_reason,  is_rl, key_industries from czrk
    </sql>


    <select id="getHjhByIdCard" resultType="java.lang.String" parameterType="java.lang.String">
        select code from qianshan_data_bureau.czrk where id_card = #{idCard} and is_del = 'N' and  `status` = '1' limit 1
    </select>

    <select id="getAllCzrkByHjh" resultMap="CzrkResult">
        select user_name,id_card,gender,age,phone_num,province_id,province,city_id,city,region_id,region,
               village_towns_id,village_towns,village_id,village,villager_group_id,villager_group,now_in
        from qianshan_data_bureau.czrk where code = #{hjh} and is_del = 'N' and  `status` = '1'
    </select>
</mapper>